# azure.mgmt.alertsmanagement.models module

exception `azure.mgmt.alertsmanagement.models.``ErrorResponseException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponse’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

exception `azure.mgmt.alertsmanagement.models.``ErrorResponse1Exception`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponse1’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.alertsmanagement.models.``ActionGroup`(*, action_group_id: str, scope=None, conditions=None, description: str = None, status=None, **kwargs)

  Bases: `azure.mgmt.alertsmanagement.models._models_py3.ActionRuleProperties`

  Action Group based Action Rule.

  Action rule with action group configuration.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - scope (Scope) – scope on which action rule will apply
  - conditions (Conditions) – conditions on which alerts will be filtered
  - description (str) – Description of action rule
  - status (str or ActionRuleStatus) – Indicates if the given action rule is enabled or disabled. Possible values include: ‘Enabled’, ‘Disabled’
  - type (str) – Required. Constant filled by server.
  - action_group_id (str) – Required. Action group to trigger if action rule matches

  Variables:

  - created_at (datetime) – Creation time of action rule. Date-Time in ISO-8601 format.
  - last_modified_at (datetime) – Last updated time of action rule. Date-Time in ISO-8601 format.
  - created_by (str) – Created by user name.
  - last_modified_by (str) – Last modified by user name.

class `azure.mgmt.alertsmanagement.models.``ActionGroupsInformation`(*, group_ids, custom_email_subject: str = None, custom_webhook_payload: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Action Groups information, used by the alert rule.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - custom_email_subject (str) – An optional custom email subject to use in email notifications.
  - custom_webhook_payload (str) – An optional custom web-hook payload to use in web-hook notifications.
  - group_ids (list[str]) – Required. The Action Group resource IDs.

class `azure.mgmt.alertsmanagement.models.``ActionRule`(*, location: str, tags=None, properties=None, **kwargs)

  Bases: `azure.mgmt.alertsmanagement.models._models_py3.ManagedResource`

  Action rule object containing target scope, conditions and suppression logic.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Azure resource Id
  - type (str) – Azure resource type
  - name (str) – Azure resource name

  Parameters:

  - location (str) – Required. Resource location
  - tags (dict[str, str]) – Resource tags
  - properties (ActionRuleProperties) – action rule properties

class `azure.mgmt.alertsmanagement.models.``ActionRuleProperties`(*, scope=None, conditions=None, description: str = None, status=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Action rule properties defining scope, conditions, suppression logic for action rule.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: Suppression, ActionGroup, Diagnostics

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - scope (Scope) – scope on which action rule will apply
  - conditions (Conditions) – conditions on which alerts will be filtered
  - description (str) – Description of action rule
  - status (str or ActionRuleStatus) – Indicates if the given action rule is enabled or disabled. Possible values include: ‘Enabled’, ‘Disabled’
  - type (str) – Required. Constant filled by server.

  Variables:

  - created_at (datetime) – Creation time of action rule. Date-Time in ISO-8601 format.
  - last_modified_at (datetime) – Last updated time of action rule. Date-Time in ISO-8601 format.
  - created_by (str) – Created by user name.
  - last_modified_by (str) – Last modified by user name.

class `azure.mgmt.alertsmanagement.models.``Alert`(*, properties=None, **kwargs)

  Bases: `azure.mgmt.alertsmanagement.models._models_py3.Resource`

  An alert created in alert management service.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Azure resource Id
  - type (str) – Azure resource type
  - name (str) – Azure resource name

  Parameters: | properties (AlertProperties) –

class `azure.mgmt.alertsmanagement.models.``AlertModification`(*, properties=None, **kwargs)

  Bases: `azure.mgmt.alertsmanagement.models._models_py3.Resource`

  Alert Modification details.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Azure resource Id
  - type (str) – Azure resource type
  - name (str) – Azure resource name

  Parameters: | properties (AlertModificationProperties) –

class `azure.mgmt.alertsmanagement.models.``AlertModificationItem`(*, modification_event=None, old_value: str = None, new_value: str = None, modified_at: str = None, modified_by: str = None, comments: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Alert modification item.

  Parameters:

  - modification_event (str or AlertModificationEvent) – Reason for the modification. Possible values include: ‘AlertCreated’, ‘StateChange’, ‘MonitorConditionChange’
  - old_value (str) – Old value
  - new_value (str) – New value
  - modified_at (str) – Modified date and time
  - modified_by (str) – Modified user details (Principal client name)
  - comments (str) – Modification comments
  - description (str) – Description of the modification

class `azure.mgmt.alertsmanagement.models.``AlertModificationProperties`(*, modifications=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties of the alert modification item.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | alert_id (str) – Unique Id of the alert for which the history is being retrieved
  Parameters: | modifications (list[AlertModificationItem]) – Modification details

class `azure.mgmt.alertsmanagement.models.``AlertProperties`(*, essentials=None, context=None, egress_config=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Alert property bag.

  Parameters:

  - essentials (Essentials) –
  - context (object) –
  - egress_config (object) –

class `azure.mgmt.alertsmanagement.models.``AlertRule`(*, state, severity, frequency, detector, scope, action_groups, location: str = 'global', tags=None, description: str = None, throttling=None, **kwargs)

  Bases: `azure.mgmt.alertsmanagement.models._models_py3.AzureResource`

  The alert rule information.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource ID.
  - type (str) – The resource type.
  - name (str) – The resource name.

  Parameters:

  - location (str) – The resource location. Default value: “global” .
  - tags (object) – The resource tags.
  - description (str) – The alert rule description.
  - state (str or AlertRuleState) – Required. The alert rule state. Possible values include: ‘Enabled’, ‘Disabled’
  - severity (str or Severity) – Required. The alert rule severity. Possible values include: ‘Sev0’, ‘Sev1’, ‘Sev2’, ‘Sev3’, ‘Sev4’
  - frequency (timedelta) – Required. The alert rule frequency in ISO8601 format. The time granularity must be in minutes and minimum value is 5 minutes.
  - detector (Detector) – Required. The alert rule’s detector.
  - scope (list[str]) – Required. The alert rule resources scope.
  - action_groups (ActionGroupsInformation) – Required. The alert rule actions.
  - throttling (ThrottlingInformation) – The alert rule throttling information.

class `azure.mgmt.alertsmanagement.models.``AlertRulePatchObject`(*, tags=None, description: str = None, state=None, severity=None, frequency=None, action_groups=None, throttling=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The alert rule patch information.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource ID.
  - type (str) – The resource type.
  - name (str) – The resource name.

  Parameters:

  - tags (object) – The resource tags.
  - description (str) – The alert rule description.
  - state (str or AlertRuleState) – The alert rule state. Possible values include: ‘Enabled’, ‘Disabled’
  - severity (str or Severity) – The alert rule severity. Possible values include: ‘Sev0’, ‘Sev1’, ‘Sev2’, ‘Sev3’, ‘Sev4’
  - frequency (timedelta) – The alert rule frequency in ISO8601 format. The time granularity must be in minutes and minimum value is 5 minutes.
  - action_groups (ActionGroupsInformation) – The alert rule actions.
  - throttling (ThrottlingInformation) – The alert rule throttling information.

class `azure.mgmt.alertsmanagement.models.``AlertsMetaData`(*, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  alert meta data information.

  Parameters: | properties (AlertsMetaDataProperties) –

class `azure.mgmt.alertsmanagement.models.``AlertsMetaDataProperties`(**kwargs)

  Bases: `msrest.serialization.Model`

  alert meta data property bag.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: MonitorServiceList

  All required parameters must be populated in order to send to Azure.

  Parameters: | metadata_identifier (str) – Required. Constant filled by server.

class `azure.mgmt.alertsmanagement.models.``AlertsSummary`(*, properties=None, **kwargs)

  Bases: `azure.mgmt.alertsmanagement.models._models_py3.Resource`

  Summary of alerts based on the input filters and ‘groupby’ parameters.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Azure resource Id
  - type (str) – Azure resource type
  - name (str) – Azure resource name

  Parameters: | properties (AlertsSummaryGroup) –

class `azure.mgmt.alertsmanagement.models.``AlertsSummaryGroup`(*, total: int = None, smart_groups_count: int = None, groupedby: str = None, values=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Group the result set.

  Parameters:

  - total (int) – Total count of the result set.
  - smart_groups_count (int) – Total count of the smart groups.
  - groupedby (str) – Name of the field aggregated
  - values (list[AlertsSummaryGroupItem]) – List of the items

class `azure.mgmt.alertsmanagement.models.``AlertsSummaryGroupItem`(*, name: str = None, count: int = None, groupedby: str = None, values=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Alerts summary group item.

  Parameters:

  - name (str) – Value of the aggregated field
  - count (int) – Count of the aggregated field
  - groupedby (str) – Name of the field aggregated
  - values (list[AlertsSummaryGroupItem]) – List of the items

class `azure.mgmt.alertsmanagement.models.``AzureResource`(*, location: str = 'global', tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  An Azure resource object.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource ID.
  - type (str) – The resource type.
  - name (str) – The resource name.

  Parameters:

  - location (str) – The resource location. Default value: “global” .
  - tags (object) – The resource tags.

class `azure.mgmt.alertsmanagement.models.``Condition`(*, operator=None, values=None, **kwargs)

  Bases: `msrest.serialization.Model`

  condition to trigger an action rule.

  Parameters:

  - operator (str or Operator) – operator for a given condition. Possible values include: ‘Equals’, ‘NotEquals’, ‘Contains’, ‘DoesNotContain’
  - values (list[str]) – list of values to match for a given condition.

class `azure.mgmt.alertsmanagement.models.``Conditions`(*, severity=None, monitor_service=None, monitor_condition=None, target_resource_type=None, alert_rule_id=None, description=None, alert_context=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Conditions in alert instance to be matched for a given action rule. Default value is all. Multiple values could be provided with comma separation.

  Parameters:

  - severity (Condition) – filter alerts by severity
  - monitor_service (Condition) – filter alerts by monitor service
  - monitor_condition (Condition) – filter alerts by monitor condition
  - target_resource_type (Condition) – filter alerts by target resource type
  - alert_rule_id (Condition) – filter alerts by alert rule id
  - description (Condition) – filter alerts by alert rule description
  - alert_context (Condition) – filter alerts by alert context (payload)

class `azure.mgmt.alertsmanagement.models.``Detector`(*, id: str, parameters=None, name: str = None, description: str = None, supported_resource_types=None, image_paths=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The detector information. By default this is not populated, unless it’s specified in expandDetector.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Required. The detector id.
  - parameters (dict[str, object]) – The detector’s parameters.’
  - name (str) – The Smart Detector name. By default this is not populated, unless it’s specified in expandDetector
  - description (str) – The Smart Detector description. By default this is not populated, unless it’s specified in expandDetector
  - supported_resource_types (list[str]) – The Smart Detector supported resource types. By default this is not populated, unless it’s specified in expandDetector
  - image_paths (list[str]) – The Smart Detector image path. By default this is not populated, unless it’s specified in expandDetector

class `azure.mgmt.alertsmanagement.models.``Diagnostics`(*, scope=None, conditions=None, description: str = None, status=None, **kwargs)

  Bases: `azure.mgmt.alertsmanagement.models._models_py3.ActionRuleProperties`

  Diagnostics based Action Rule.

  Action rule with diagnostics configuration.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - scope (Scope) – scope on which action rule will apply
  - conditions (Conditions) – conditions on which alerts will be filtered
  - description (str) – Description of action rule
  - status (str or ActionRuleStatus) – Indicates if the given action rule is enabled or disabled. Possible values include: ‘Enabled’, ‘Disabled’
  - type (str) – Required. Constant filled by server.

  Variables:

  - created_at (datetime) – Creation time of action rule. Date-Time in ISO-8601 format.
  - last_modified_at (datetime) – Last updated time of action rule. Date-Time in ISO-8601 format.
  - created_by (str) – Created by user name.
  - last_modified_by (str) – Last modified by user name.

class `azure.mgmt.alertsmanagement.models.``ErrorResponse`(*, error=None, **kwargs)

  Bases: `msrest.serialization.Model`

  An error response from the service.

  Parameters: | error (ErrorResponseBody) –

class `azure.mgmt.alertsmanagement.models.``ErrorResponse1`(*, code: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describe the format of an Error response.

  Parameters:

  - code (str) – Error code
  - message (str) – Error message indicating why the operation failed.

class `azure.mgmt.alertsmanagement.models.``ErrorResponseBody`(*, code: str = None, message: str = None, target: str = None, details=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Details of error response.

  Parameters:

  - code (str) – Error code, intended to be consumed programmatically.
  - message (str) – Description of the error, intended for display in user interface.
  - target (str) – Target of the particular error, for example name of the property.
  - details (list[ErrorResponseBody]) – A list of additional details about the error.

class `azure.mgmt.alertsmanagement.models.``Essentials`(*, target_resource: str = None, target_resource_name: str = None, target_resource_group: str = None, target_resource_type: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  This object contains consistent fields across different monitor services.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - severity (str or Severity) – Severity of alert Sev0 being highest and Sev4 being lowest. Possible values include: ‘Sev0’, ‘Sev1’, ‘Sev2’, ‘Sev3’, ‘Sev4’
  - signal_type (str or SignalType) – The type of signal the alert is based on, which could be metrics, logs or activity logs. Possible values include: ‘Metric’, ‘Log’, ‘Unknown’
  - alert_state (str or AlertState) – Alert object state, which can be modified by the user. Possible values include: ‘New’, ‘Acknowledged’, ‘Closed’
  - monitor_condition (str or MonitorCondition) – Condition of the rule at the monitor service. It represents whether the underlying conditions have crossed the defined alert rule thresholds. Possible values include: ‘Fired’, ‘Resolved’
  - monitor_service (str or MonitorService) – Monitor service on which the rule(monitor) is set. Possible values include: ‘Application Insights’, ‘ActivityLog Administrative’, ‘ActivityLog Security’, ‘ActivityLog Recommendation’, ‘ActivityLog Policy’, ‘ActivityLog Autoscale’, ‘Log Analytics’, ‘Nagios’, ‘Platform’, ‘SCOM’, ‘ServiceHealth’, ‘SmartDetector’, ‘VM Insights’, ‘Zabbix’
  - alert_rule (str) – Rule(monitor) which fired alert instance. Depending on the monitor service, this would be ARM id or name of the rule.
  - source_created_id (str) – Unique Id created by monitor service for each alert instance. This could be used to track the issue at the monitor service, in case of Nagios, Zabbix, SCOM etc.
  - smart_group_id (str) – Unique Id of the smart group
  - smart_grouping_reason (str) – Verbose reason describing the reason why this alert instance is added to a smart group
  - start_date_time (datetime) – Creation time(ISO-8601 format) of alert instance.
  - last_modified_date_time (datetime) – Last modification time(ISO-8601 format) of alert instance.
  - monitor_condition_resolved_date_time (datetime) – Resolved time(ISO-8601 format) of alert instance. This will be updated when monitor service resolves the alert instance because the rule condition is no longer met.
  - last_modified_user_name (str) – User who last modified the alert, in case of monitor service updates user would be ‘system’, otherwise name of the user.

  Parameters:

  - target_resource (str) – Target ARM resource, on which alert got created.
  - target_resource_name (str) – Name of the target ARM resource name, on which alert got created.
  - target_resource_group (str) – Resource group of target ARM resource, on which alert got created.
  - target_resource_type (str) – Resource type of target ARM resource, on which alert got created.

class `azure.mgmt.alertsmanagement.models.``ManagedResource`(*, location: str, tags=None, **kwargs)

  Bases: `azure.mgmt.alertsmanagement.models._models_py3.Resource`

  An azure managed resource object.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Azure resource Id
  - type (str) – Azure resource type
  - name (str) – Azure resource name

  Parameters:

  - location (str) – Required. Resource location
  - tags (dict[str, str]) – Resource tags

class `azure.mgmt.alertsmanagement.models.``MonitorServiceDetails`(*, name: str = None, display_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Details of a monitor service.

  Parameters:

  - name (str) – Monitor service name
  - display_name (str) – Monitor service display name

class `azure.mgmt.alertsmanagement.models.``MonitorServiceList`(*, data, **kwargs)

  Bases: `azure.mgmt.alertsmanagement.models._models_py3.AlertsMetaDataProperties`

  Monitor service details.

  Monitor service details.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - metadata_identifier (str) – Required. Constant filled by server.
  - data (list[MonitorServiceDetails]) – Required. Array of operations

class `azure.mgmt.alertsmanagement.models.``Operation`(*, name: str = None, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Operation provided by provider.

  Parameters:

  - name (str) – Name of the operation
  - display (OperationDisplay) – Properties of the operation

class `azure.mgmt.alertsmanagement.models.``OperationDisplay`(*, provider: str = None, resource: str = None, operation: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties of the operation.

  Parameters:

  - provider (str) – Provider name
  - resource (str) – Resource name
  - operation (str) – Operation name
  - description (str) – Description of the operation

class `azure.mgmt.alertsmanagement.models.``PatchObject`(*, status=None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Data contract for patch.

  Parameters:

  - status (str or ActionRuleStatus) – Indicates if the given action rule is enabled or disabled. Possible values include: ‘Enabled’, ‘Disabled’
  - tags (object) – tags to be updated

class `azure.mgmt.alertsmanagement.models.``Resource`(**kwargs)

  Bases: `msrest.serialization.Model`

  An azure resource object.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Azure resource Id
  - type (str) – Azure resource type
  - name (str) – Azure resource name

class `azure.mgmt.alertsmanagement.models.``Scope`(*, scope_type=None, values=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Target scope for a given action rule. By default scope will be the subscription. User can also provide list of resource groups or list of resources from the scope subscription as well.

  Parameters:

  - scope_type (str or ScopeType) – type of target scope. Possible values include: ‘ResourceGroup’, ‘Resource’
  - values (list[str]) – list of ARM IDs of the given scope type which will be the target of the given action rule.

class `azure.mgmt.alertsmanagement.models.``SmartGroup`(*, alerts_count: int = None, resources=None, resource_types=None, resource_groups=None, monitor_services=None, monitor_conditions=None, alert_states=None, alert_severities=None, next_link: str = None, **kwargs)

  Bases: `azure.mgmt.alertsmanagement.models._models_py3.Resource`

  Set of related alerts grouped together smartly by AMS.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Azure resource Id
  - type (str) – Azure resource type
  - name (str) – Azure resource name
  - smart_group_state (str or State) – Smart group state. Possible values include: ‘New’, ‘Acknowledged’, ‘Closed’
  - severity (str or Severity) – Severity of smart group is the highest(Sev0 >… > Sev4) severity of all the alerts in the group. Possible values include: ‘Sev0’, ‘Sev1’, ‘Sev2’, ‘Sev3’, ‘Sev4’
  - start_date_time (datetime) – Creation time of smart group. Date-Time in ISO-8601 format.
  - last_modified_date_time (datetime) – Last updated time of smart group. Date-Time in ISO-8601 format.
  - last_modified_user_name (str) – Last modified by user name.

  Parameters:

  - alerts_count (int) – Total number of alerts in smart group
  - resources (list[SmartGroupAggregatedProperty]) – Summary of target resources in the smart group
  - resource_types (list[SmartGroupAggregatedProperty]) – Summary of target resource types in the smart group
  - resource_groups (list[SmartGroupAggregatedProperty]) – Summary of target resource groups in the smart group
  - monitor_services (list[SmartGroupAggregatedProperty]) – Summary of monitorServices in the smart group
  - monitor_conditions (list[SmartGroupAggregatedProperty]) – Summary of monitorConditions in the smart group
  - alert_states (list[SmartGroupAggregatedProperty]) – Summary of alertStates in the smart group
  - alert_severities (list[SmartGroupAggregatedProperty]) – Summary of alertSeverities in the smart group
  - next_link (str) – The URI to fetch the next page of alerts. Call ListNext() with this URI to fetch the next page alerts.

class `azure.mgmt.alertsmanagement.models.``SmartGroupAggregatedProperty`(*, name: str = None, count: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Aggregated property of each type.

  Parameters:

  - name (str) – Name of the type.
  - count (int) – Total number of items of type.

class `azure.mgmt.alertsmanagement.models.``SmartGroupModification`(*, properties=None, **kwargs)

  Bases: `azure.mgmt.alertsmanagement.models._models_py3.Resource`

  Alert Modification details.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Azure resource Id
  - type (str) – Azure resource type
  - name (str) – Azure resource name

  Parameters: | properties (SmartGroupModificationProperties) –

class `azure.mgmt.alertsmanagement.models.``SmartGroupModificationItem`(*, modification_event=None, old_value: str = None, new_value: str = None, modified_at: str = None, modified_by: str = None, comments: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  smartGroup modification item.

  Parameters:

  - modification_event (str or SmartGroupModificationEvent) – Reason for the modification. Possible values include: ‘SmartGroupCreated’, ‘StateChange’, ‘AlertAdded’, ‘AlertRemoved’
  - old_value (str) – Old value
  - new_value (str) – New value
  - modified_at (str) – Modified date and time
  - modified_by (str) – Modified user details (Principal client name)
  - comments (str) – Modification comments
  - description (str) – Description of the modification

class `azure.mgmt.alertsmanagement.models.``SmartGroupModificationProperties`(*, modifications=None, next_link: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties of the smartGroup modification item.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | smart_group_id (str) – Unique Id of the smartGroup for which the history is being retrieved

  Parameters:

  - modifications (list[SmartGroupModificationItem]) – Modification details
  - next_link (str) – URL to fetch the next set of results.

class `azure.mgmt.alertsmanagement.models.``Suppression`(*, suppression_config, scope=None, conditions=None, description: str = None, status=None, **kwargs)

  Bases: `azure.mgmt.alertsmanagement.models._models_py3.ActionRuleProperties`

  Suppression based Action Rule.

  Action rule with suppression configuration.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - scope (Scope) – scope on which action rule will apply
  - conditions (Conditions) – conditions on which alerts will be filtered
  - description (str) – Description of action rule
  - status (str or ActionRuleStatus) – Indicates if the given action rule is enabled or disabled. Possible values include: ‘Enabled’, ‘Disabled’
  - type (str) – Required. Constant filled by server.
  - suppression_config (SuppressionConfig) – Required. suppression configuration for the action rule

  Variables:

  - created_at (datetime) – Creation time of action rule. Date-Time in ISO-8601 format.
  - last_modified_at (datetime) – Last updated time of action rule. Date-Time in ISO-8601 format.
  - created_by (str) – Created by user name.
  - last_modified_by (str) – Last modified by user name.

class `azure.mgmt.alertsmanagement.models.``SuppressionConfig`(*, recurrence_type, schedule=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Suppression logic for a given action rule.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - recurrence_type (str or SuppressionType) – Required. Specifies when the suppression should be applied. Possible values include: ‘Always’, ‘Once’, ‘Daily’, ‘Weekly’, ‘Monthly’
  - schedule (SuppressionSchedule) – suppression schedule configuration

class `azure.mgmt.alertsmanagement.models.``SuppressionSchedule`(*, start_date: str = None, end_date: str = None, start_time: str = None, end_time: str = None, recurrence_values=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Schedule for a given suppression configuration.

  Parameters:

  - start_date (str) – Start date for suppression
  - end_date (str) – End date for suppression
  - start_time (str) – Start time for suppression
  - end_time (str) – End date for suppression
  - recurrence_values (list[int]) – Specifies the values for recurrence pattern

class `azure.mgmt.alertsmanagement.models.``ThrottlingInformation`(*, duration=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Optional throttling information for the alert rule.

  Parameters: | duration (timedelta) – The required duration (in ISO8601 format) to wait before notifying on the alert rule again. The time granularity must be in minutes and minimum value is 0 minutes

class `azure.mgmt.alertsmanagement.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.alertsmanagement.models.``AlertPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Alert` object

class `azure.mgmt.alertsmanagement.models.``SmartGroupPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SmartGroup` object

class `azure.mgmt.alertsmanagement.models.``ActionRulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ActionRule` object

class `azure.mgmt.alertsmanagement.models.``AlertRulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `AlertRule` object

class `azure.mgmt.alertsmanagement.models.``Severity`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `sev0` = 'Sev0'
  `sev1` = 'Sev1'
  `sev2` = 'Sev2'
  `sev3` = 'Sev3'
  `sev4` = 'Sev4'

class `azure.mgmt.alertsmanagement.models.``SignalType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `log` = 'Log'
  `metric` = 'Metric'
  `unknown` = 'Unknown'

class `azure.mgmt.alertsmanagement.models.``AlertState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `acknowledged` = 'Acknowledged'
  `closed` = 'Closed'
  `new` = 'New'

class `azure.mgmt.alertsmanagement.models.``MonitorCondition`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `fired` = 'Fired'
  `resolved` = 'Resolved'

class `azure.mgmt.alertsmanagement.models.``MonitorService`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `activity_log_administrative` = 'ActivityLog Administrative'
  `activity_log_autoscale` = 'ActivityLog Autoscale'
  `activity_log_policy` = 'ActivityLog Policy'
  `activity_log_recommendation` = 'ActivityLog Recommendation'
  `activity_log_security` = 'ActivityLog Security'
  `application_insights` = 'Application Insights'
  `log_analytics` = 'Log Analytics'
  `nagios` = 'Nagios'
  `platform` = 'Platform'
  `scom` = 'SCOM'
  `service_health` = 'ServiceHealth'
  `smart_detector` = 'SmartDetector'
  `vm_insights` = 'VM Insights'
  `zabbix` = 'Zabbix'

class `azure.mgmt.alertsmanagement.models.``AlertModificationEvent`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `alert_created` = 'AlertCreated'
  `monitor_condition_change` = 'MonitorConditionChange'
  `state_change` = 'StateChange'

class `azure.mgmt.alertsmanagement.models.``SmartGroupModificationEvent`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `alert_added` = 'AlertAdded'
  `alert_removed` = 'AlertRemoved'
  `smart_group_created` = 'SmartGroupCreated'
  `state_change` = 'StateChange'

class `azure.mgmt.alertsmanagement.models.``State`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `acknowledged` = 'Acknowledged'
  `closed` = 'Closed'
  `new` = 'New'

class `azure.mgmt.alertsmanagement.models.``ScopeType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `resource` = 'Resource'
  `resource_group` = 'ResourceGroup'

class `azure.mgmt.alertsmanagement.models.``Operator`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `contains` = 'Contains'
  `does_not_contain` = 'DoesNotContain'
  `equals` = 'Equals'
  `not_equals` = 'NotEquals'

class `azure.mgmt.alertsmanagement.models.``SuppressionType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `always` = 'Always'
  `daily` = 'Daily'
  `monthly` = 'Monthly'
  `once` = 'Once'
  `weekly` = 'Weekly'

class `azure.mgmt.alertsmanagement.models.``ActionRuleStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'Disabled'
  `enabled` = 'Enabled'

class `azure.mgmt.alertsmanagement.models.``AlertRuleState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disabled` = 'Disabled'
  `enabled` = 'Enabled'

class `azure.mgmt.alertsmanagement.models.``TimeRange`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `oned` = '1d'
  `oneh` = '1h'
  `sevend` = '7d'
  `three_zerod` = '30d'

class `azure.mgmt.alertsmanagement.models.``AlertsSortByFields`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `alert_state` = 'alertState'
  `last_modified_date_time` = 'lastModifiedDateTime'
  `monitor_condition` = 'monitorCondition'
  `name` = 'name'
  `severity` = 'severity'
  `start_date_time` = 'startDateTime'
  `target_resource` = 'targetResource'
  `target_resource_group` = 'targetResourceGroup'
  `target_resource_name` = 'targetResourceName'
  `target_resource_type` = 'targetResourceType'

class `azure.mgmt.alertsmanagement.models.``AlertsSummaryGroupByFields`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `alert_rule` = 'alertRule'
  `alert_state` = 'alertState'
  `monitor_condition` = 'monitorCondition'
  `monitor_service` = 'monitorService'
  `severity` = 'severity'
  `signal_type` = 'signalType'

class `azure.mgmt.alertsmanagement.models.``SmartGroupsSortByFields`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `alerts_count` = 'alertsCount'
  `last_modified_date_time` = 'lastModifiedDateTime'
  `severity` = 'severity'
  `start_date_time` = 'startDateTime'
  `state` = 'state'